Contenu | Rechercher | Menus

Scanner Canon imageFORMULA P-215

Ce scanner est reconnu automatiquement à partir d'Ubuntu 14.10 (Utopic), mais pas dans les versions précédentes.

Concrètement, c'est la version 1.0.24 de SANE qui le prend en charge (driver canon_dr) : https://sane.alioth.debian.org/sane-backends-1.0.24.html#S-CANON-DR. Or cette version est introduite à partir d'Ubuntu 14.10 : http://packages.ubuntu.com/search?keywords=libsane. Ubuntu 14.04 (Trusty) n'a que la version 1.0.23 : http://packages.ubuntu.com/trusty/libsane

Le support est encore basique, mais fonctionnel : https://sane.alioth.debian.org/sane-mfgs.html

Identifiant USB : 1083:1646 ou 1083:1647 (voir plus bas)

Installation sur Ubuntu 14.04 (inutile sur les versions suivantes)

Il est possible de faire fonctionner cet appareil sur Ubuntu Trusty (14.04), en mettant à jour Sane-backends, bibliothèques SANE de prise en charge des périphériques de numérisation. Parmi les méthodes décrites dans ce lien, celle utilisant le PPA fonctionne bien, mais mettra à jour fréquemment Sane, ce qui n'est pas nécessaire et pas forcément souhaitable. D'autre part, il vaut mieux éviter d'avoir une version de Sane plus récente que celle de la prochaine version LTS (Xenial 16.04), lors de la future mise à jour vers cette version.

Pour éviter ces problèmes, on peut :

  • Utiliser la méthode PPA décrite dans le lien ci-dessus, pour installer la dernière version de SANE :
sudo add-apt-repository ppa:rolfbensch/sane-git
sudo apt-get update
sudo apt-get upgrade
  • Puis, si tout marche bien, désinstaller le PPA, pour ne plus recevoir les mises à jour ultérieures :
sudo add-apt-repository --remove ppa:rolfbensch/sane-git
  • Enfin, plus tard, si vous faites la mise à jour d'Ubuntu pour la version suivante (16.04), il vaudra mieux d'abord annuler la mise à jour de SANE (et revenir à la version normale d'Ubuntu 14.04) :
sudo apt-get install ppa-purge
sudo add-apt-repository ppa:rolfbensch/sane-git
sudo ppa-purge ppa:rolfbensch/sane-git

NB : pour plus d'informations sur le fonctionnement des PPA, voir cette page du wiki.

Message d'erreur "Impossible de monter CaptureOnTouch Lite for Mac" et scanner non reconnu

Vérifier l'identifiant USB de l'appareil avec la commande :

lsusb | grep -i canon

Si le code affiché est 1083:1647, il faut changer la position du bouton "Auto start" derrière l'appareil : le placer en position OFF est nécessaire pour qu'il soit détecté sur Linux (le débrancher/rebrancher ensuite). Cela doit modifier le code USB en 1083:1646. Si vous ne trouvez pas le bouton, regarder page 13 de la documentation de l'appareil (lien à la fin de cette page).

Utilisation

Le scanner fonctionne directement avec par exemple Simple scan ou XSane.

Actuellement, les couleurs ne semblent pas très bien calibrées, mais le mode noir et blanc donne d'excellents résultats.

Il est capable de scanner en recto-verso, et plusieurs feuilles les unes après les autres. C'est assez facile à utiliser avec Simple scan, notamment.

Voir aussi


Contributeurs principaux : mossroy



Le contenu de ce wiki est sous licence : CC BY-SA v3.0